hyprwall(1)

NAME
hyprwall - A tool for setting wallpapers on Wayland (multiple backends). Written in blazingly fast Rust!

SYNOPSIS
hyprwall [OPTIONS]

DESCRIPTION
An unofficial GUI for setting wallpapers with multiple backends, built with GTK4 and Rust.
Supports supports a variety of wallpaper backends: swaybg, swww, wallutils, feh, and hyprpaper.

GUI

To launch Hyprwall in GUI mode, simply run:
    hyprwall

OPTIONS

-r, --restore
    Restore the last selected wallpaper.

-R, --random
    Set a random wallpaper.

-b, --backend <backend>
    Set the wallpaper backend.

-f, --folder <folder>
    Set the wallpaper folder.

-w, --wallpaper <wallpaper>
    Set a specific wallpaper.

-g, --generate
    Generate the config file.

-F, --force
    Force overwrite of existing config file.
    Should be used with -g.

-C, --copyright
    Display copyright information

-h, --help
    Print help

-V, --version
    Print version

SUPPORT
If you find Hyprwall useful, please consider giving it a star on GitHub to show your support! https://github.com/hyprutils/hyprwall

REPORTING BUGS
Please consider submitting feedback if you encounter any issues. https://github.com/hyprutils/hyprwall/issues

COPYRIGHT
Copyright (c) 2024 HyprUtils.
GPL-2.0 License. https://www.gnu.org/licenses/old-licenses/gpl-2.0
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License,
version 2.
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

AUTHOR
Written by Adam Perkowski. <adas1per@protonmail.com>